Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005971 [JEDI VCL] 00 JVCL Components minor always 2012-08-28 23:40 2015-09-21 17:47
Reporter rain917 View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005971: TJvID3PictureFrame is not mutlithreaded
Description When using TJvID3PictureFrame component in a few threads (8) because of the error while access to a temporary file.
Additional Information Windows 8 (x64, build 8400), Delphi XE2 (16.0.4504.48759), AMD Athlon II P320, ram 4Gb
Tags No tags attached.
Attached Files rar file icon sample.rar [^] (11,302 bytes) 2012-08-28 23:40
? file icon free_samlpe.mp3 [^] (1,293,998 bytes) 2013-01-19 09:45

- Relationships

-  Notes
(0020351)
obones (administrator)
2013-01-15 15:26

Note to devs: Not a real component, just a frame in the mp3 file
(0020352)
obones (administrator)
2013-01-15 15:26

Please provide an mp3 file that shows this. Note that this mp3 file must be "free to use".
(0020408)
rain917 (reporter)
2013-01-19 09:28

A logic error in the module "JvID3v2Base.pas" in the procedure of TJvID3PictureFrame at lines 6643-6644. The procedure uses the same file for loading a picture. If the processing takes place in a few threads, there is a great probability to get an error when access to the file.
(0020863)
obones (administrator)
2013-12-16 13:23

This is now fixed in GIT

- Issue History
Date Modified Username Field Change
2012-08-28 23:40 rain917 New Issue
2012-08-28 23:40 rain917 File Added: sample.rar
2013-01-15 15:26 obones Note Added: 0020351
2013-01-15 15:26 obones Status new => acknowledged
2013-01-15 15:26 obones Note Added: 0020352
2013-01-15 15:26 obones Status acknowledged => feedback
2013-01-19 09:28 rain917 Note Added: 0020408
2013-01-19 09:45 rain917 File Added: free_samlpe.mp3
2013-02-20 12:39 rain917 Issue Monitored: rain917
2013-02-20 12:40 rain917 Issue End Monitor: rain917
2013-12-13 11:45 obones Status feedback => acknowledged
2013-12-16 13:23 obones Note Added: 0020863
2013-12-16 13:23 obones Status acknowledged => resolved
2013-12-16 13:23 obones Fixed in Version => Daily / GIT
2013-12-16 13:23 obones Resolution open => fixed
2013-12-16 13:23 obones Assigned To => obones
2015-09-21 17:47 obones Fixed in Version Daily / GIT => 3.49


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker